Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 83)
@@ -847,12 +1458,472 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
+        }
+        #endregion
+
+        #region 出勤交通費有効行のチェック
+        /// <summary>
+        /// 出勤交通費有効行のチェック
+        /// </summary>
+        /// <param name="wrkRow"></param>
+        /// <returns></returns>
+        private bool ChkTranTraceportRow(DataGridViewRow wrkRow)
+        {
+            try
+            {
+                DateTime AttendanceDate = DateTime.Now;
+                double[] DistanceArrary = new double[3];
+                int[] FlgArrary = new int[5];
+
+                Array.Clear(DistanceArrary, 0, 3);
+                Array.Clear(FlgArrary, 0, 5);
+
+                DistanceArrary[0] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.StartNumber].Value);
+                DistanceArrary[1] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.CompNumber].Value);
+                DistanceArrary[2] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.TotalDistance].Value);
+                AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn02.AttendanceDate].Value);
+
+                if (wrkRow.Cells[(int)GridColumn02.OfficeGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeGo].Value) FlgArrary[0] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.OfficeOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeOut].Value) FlgArrary[1] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value) FlgArrary[2] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value) FlgArrary[3] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.WareHouse].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4] = 1;
+
+                // 空白行は処理しない
+                if (AttendanceDate == DateTime.MinValue) return false;
+                if (DistanceArrary[0] == 0 && DistanceArrary[1] == 0 && DistanceArrary[2] == 0
+                    && FlgArrary[0] == 0 && FlgArrary[1] == 0 && FlgArrary[2] == 0
+                    && FlgArrary[3] == 0 && FlgArrary[4] == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 出勤交通費データ取り込み
+        /// <summary>
+        /// 出勤交通費データ取り込み
+        /// </summary>
+        /// <returns></returns>
+        private void SetRowToSQL2(int PersonCode, DataGridViewRow wrkRow, bool bComma, ref string strSQL)
+        {
+            try
+            {
+                DateTime AttendanceDate = DateTime.Now;
+                double[] DistanceArrary = new double[3];
+                int[] FlgArrary = new int[5];
+
+                Array.Clear(DistanceArrary, 0, 3);
+                Array.Clear(FlgArrary, 0, 5);
+
+                DistanceArrary[0] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.StartNumber].Value);
+                DistanceArrary[1] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.CompNumber].Value);
+                DistanceArrary[2] = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.TotalDistance].Value);
+                AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn02.AttendanceDate].Value);
+
+                if (wrkRow.Cells[(int)GridColumn02.OfficeGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeGo].Value) FlgArrary[0] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.OfficeOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeOut].Value) FlgArrary[1] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value) FlgArrary[2] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value) FlgArrary[3] = 1;
+                if (wrkRow.Cells[(int)GridColumn02.WareHouse].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4] = 1;
+
+                if (bComma) strSQL += ", (";
+                else strSQL += " (";
+
+                strSQL += string.Format("  {0}", PersonCode);                               // 担当者コード
+                strSQL += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());   // 日報作成日
+                strSQL += string.Format(", {0}", DistanceArrary[0]);                        // 当日出発キロ数
+                strSQL += string.Format(", {0}", DistanceArrary[1]);                        // 当日終了キロ数
+                strSQL += string.Format(", {0}", DistanceArrary[2]);                        // 当日合計キロ数
+                strSQL += string.Format(", {0}", FlgArrary[0]);                             // 事務所出勤フラグ
+                strSQL += string.Format(", {0}", FlgArrary[1]);                             // 事務所帰宅フラグ
+                strSQL += string.Format(", {0}", FlgArrary[2]);                             // 有料通勤出勤フラグ
+                strSQL += string.Format(", {0}", FlgArrary[3]);                             // 有料通勤帰宅フラグ
+                strSQL += string.Format(", {0}", FlgArrary[4]);                             // 資材置場フラグ
+
+                strSQL += ", STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += ", STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strSQL += ")";
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region データ削除処理
+        /// <summary>
+        /// データ削除処理
+        /// </summary>
+        private bool RemoveGridData()
+        {
+            IOAttendanceDailyData AttendanceDB = new IOAttendanceDailyData();
+            IOTranceportDailyData TranceportDB = new IOTranceportDailyData();
+            try
+            {
+                // 対象月を取得する
+                string TargetMonth = GetTargetMonth();
+
+                // 担当者コンボボックス値取得
+                int PersonCode = GetConstructionPersonCode();
+
+                // 一括処理を行う
+                AttendanceDB.connect(); AttendanceDB.beginTran();
+                TranceportDB.connect(); TranceportDB.beginTran();
+
+                // 削除する
+                string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strSQL += string.Format(" AND DATE_FORMAT(ATTENDANCEMONTH,'%Y/%m') = '{0}'", TargetMonth);
+                AttendanceDB.DeleteAction(strSQL, false);
+
+                // 削除する
+                TranceportDB.DeleteAction(strSQL, false);
+
+                // データ変更フラグOFF
+                m_bChengeAns = false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
             finally
             {
-                PersonDB.close(); PersonDB = null;
+                AttendanceDB.commit();
+                TranceportDB.commit();
+
+                AttendanceDB.close(); AttendanceDB = null;
+                TranceportDB.close(); TranceportDB = null;
             }
         }
         #endregion
 
+        #region 出勤日数・残業時間のセット
+        /// <summary>
+        /// 出勤日数・残業時間のセット
+        /// </summary>
+        private void SetWorkDaysAndOverTimes()
+        {
+            try
+            {
+                DataGridView dgv = dgvAllDisplay;
+                if (dgv.RowCount == 0) return;
+
+                int WorkingCnt = 0;
+                string AttendName = string.Empty;
+                double OverTimes = 0;
+                double SumOverTimes = 0;
+                string strComment = string.Empty;
+                DateTime AttendanceDate = DateTime.Now;
+                DateTime BreakDate = DateTime.MinValue;
+
+                // グリッドの行分処理を行う
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    SumOverTimes += CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+
+                    AttendName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.ActionResult].Value);
+                    OverTimes = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn01.OverTimes].Value);
+                    strComment = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn01.Comment].Value);
+                    AttendanceDate = CommonMotions.cnvDate(wrkRow.Cells[(int)GridColumn01.AttendanceDate].Value);
+                    if (AttendName.Length == 0 && OverTimes == 0 && strComment.Length == 0)
+                    {
+
+                    }
+                    else
+                    {
+                        // 日付が違えばチェック対象
+                        if (AttendanceDate != BreakDate)
+                        {
+                            BreakDate = AttendanceDate;
+                            WorkingCnt++;
+                        }
+                    }
+                }
+                m_DspControl[(int)DspCtrlName.Overtime].Text = SumOverTimes.ToString("0.0");
+                //m_DspControl[(int)DspCtrlName.WorkingDays].Text = WorkingCnt.ToString("0");
+                m_DspControl[(int)DspCtrlName.WorkingDays].Text = (m_LastDays - m_HolidayCount).ToString("0");
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッド距離・回数計算
+        /// <summary>
+        /// 交通費グリッド距離・回数計算
+        /// </summary>
+        private void SetDistanceAndcount()
+        {
+            try
+            {
+                if (dgvTransport01.RowCount < 1 && dgvTransport02.RowCount < 1) return;
+                
+                m_DspControl[(int)DspCtrlName.KmTodayTotal].Text = "0.0";
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt01].Text = "0";
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt02].Text = "0";
+                m_DspControl[(int)DspCtrlName.TrancePayCnt01].Text = "0";
+                m_DspControl[(int)DspCtrlName.TrancePayCnt02].Text = "0";
+                m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01].Text = "0";
+
+                // グリッドの行分処理を行う
+                DataGridView dgv = dgvTransport01;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    SetDistanceAndcount2(wrkRow);
+                }
+                dgv = dgvTransport02;
+                foreach (DataGridViewRow wrkRow in dgv.Rows)
+                {
+                    SetDistanceAndcount2(wrkRow);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッド距離・回数加算処理
+        /// <summary>
+        /// 交通費グリッド距離・回数加算処理
+        /// </summary>
+        /// <param name="wrkRow"></param>
+        private void SetDistanceAndcount2(DataGridViewRow wrkRow)
+        {
+            try
+            {
+                double Distance = 0;
+                int[] FlgArrary = new int[5];
+
+                // 現在値取得
+                Distance = CommonMotions.cnvDouble(m_DspControl[(int)DspCtrlName.KmTodayTotal].Text);
+                FlgArrary[0] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OfficeTodayCnt01].Text);
+                FlgArrary[1] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OfficeTodayCnt02].Text);
+                FlgArrary[2] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.TrancePayCnt01].Text);
+                FlgArrary[3] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.TrancePayCnt02].Text);
+                FlgArrary[4] = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01].Text);
+
+                // 加算処理
+                Distance += CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn02.TotalDistance].Value);
+                if (wrkRow.Cells[(int)GridColumn02.OfficeGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeGo].Value) FlgArrary[0]++;
+                if (wrkRow.Cells[(int)GridColumn02.OfficeOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.OfficeOut].Value) FlgArrary[1]++;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayGo].Value) FlgArrary[2]++;
+                if (wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.TrancePayOut].Value) FlgArrary[3]++;
+                if (wrkRow.Cells[(int)GridColumn02.WareHouse].Value != null)
+                    if ((bool)wrkRow.Cells[(int)GridColumn02.WareHouse].Value) FlgArrary[4]++;
+
+                // 計算値セット
+                m_DspControl[(int)DspCtrlName.KmTodayTotal].Text = Distance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt01].Text = FlgArrary[0].ToString();
+                m_DspControl[(int)DspCtrlName.OfficeTodayCnt02].Text = FlgArrary[1].ToString();
+                m_DspControl[(int)DspCtrlName.TrancePayCnt01].Text = FlgArrary[2].ToString();
+                m_DspControl[(int)DspCtrlName.TrancePayCnt02].Text = FlgArrary[3].ToString();
+                m_DspControl[(int)DspCtrlName.WarehouseTodayCnt01].Text = FlgArrary[4].ToString();
+
+                // ①
+                m_DspControl[(int)DspCtrlName.KmMonthTotal01].Text = Distance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.UnitPrice01].Text = m_FuelCost.ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal01].Text = CommonMotions.cnvRound(Distance * m_FuelCost).ToString();
+                // ②
+                m_DspControl[(int)DspCtrlName.KmMonthTotal02].Text = m_MyOfficeDistance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.UnitPrice02].Text = m_FuelCost.ToString();
+                m_DspControl[(int)DspCtrlName.MonthCnt01].Text = (FlgArrary[0] + FlgArrary[1]).ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal02].Text = CommonMotions.cnvRound((m_MyOfficeDistance * m_FuelCost) * (FlgArrary[0] + FlgArrary[1])).ToString();
+                // ③
+                m_DspControl[(int)DspCtrlName.KmMonthTotal03].Text = m_MyWareHouseDistance.ToString("0.0");
+                m_DspControl[(int)DspCtrlName.UnitPrice03].Text = m_FuelCost.ToString();
+                m_DspControl[(int)DspCtrlName.MonthCnt02].Text = FlgArrary[4].ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal03].Text = CommonMotions.cnvRound((m_MyWareHouseDistance * m_FuelCost) * FlgArrary[4]).ToString();
+                // ④
+                m_DspControl[(int)DspCtrlName.UnitPrice04].Text = m_MyTransportCosts.ToString();
+                m_DspControl[(int)DspCtrlName.MonthCnt03].Text = (FlgArrary[2] + FlgArrary[3]).ToString();
+                m_DspControl[(int)DspCtrlName.MonthTotal04].Text = CommonMotions.cnvRound(m_MyTransportCosts * (FlgArrary[2] + FlgArrary[3])).ToString();
+                // 合計
+                m_DspControl[(int)DspCtrlName.MonthTotal05].Text = (CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal01].Text)
+                                                                    + CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal02].Text)
+                                                                    + CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal03].Text)
+                                                                    + CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.MonthTotal04].Text)).ToString();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 作成確認画面表示
+        /// <summary>
+        /// 作成確認画面表示
+        /// </summary>
+        private void DispReportListControl()
+        {
+            try
+            {
+                // 日報作成確認画面表示
+                m_frmDRWorkList = new FrmDRWorkList();
+                m_frmDRWorkList.ReportDate = GetTargetMonth();
+                // 位置設定
+                m_frmDRWorkList.LocationPoint = new Point(this.Left, this.Top);
+
+                // タスクバーに表示しない
+                //m_frmNumberOfWorkers.ShowInTaskbar = false;
+
+                // クロースドハンドラをこちらで定義する
+                m_frmDRWorkList.FormClosed += new FormClosedEventHandler(FrmDRWorkList_FormClosed);
+                m_frmDRWorkList.Show();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 選択値を変数へセットする
+        /// <summary>
+        /// 選択値を変数へセットする
+        /// </summary>
+        private void SetVariableValue()
+        {
+            try
+            {
+                // 担当者コード
+                m_PersonCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+
+                // 対象年月
+                string strartDate = comboBox1.SelectedValue.ToString() + "/01";
+                //m_OrderDate = CommonMotions.cnvDate(strartDate);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認数表示
+        /// <summary>
+        /// 承認件数のセット
+        /// </summary>
+        private void SetApprovalCount()
+        {
+            try
+            {
+                // 初期値セット
+                lblApprovalCount.Text = "";
+
+                // 担当者コード・承認機能番号取得
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+                // 担当部署取得
+                int DepartmentCode = ClsApprovalPermission.GetFromPersonAndApprovalTheDepartment(m_PersonCode, iApprovalCode, m_OrderDate, m_OrderNo);
+
+                // 承認データ取得
+                int ApprovalCount = ClsApprovalPermission.GetPersonApprovalDataCount(m_PersonCode, iApprovalCode, m_OrderDate);
+
+                // 承認経路マスタ取得
+                int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
+
+                // 初期値セット
+                lblApprovalCount.Text = string.Format("{0}/{1}", ApprovalCount, MasterCount);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期時申請・承認表示処理
+        /// <summary>
+        /// 初期時申請・承認表示処理
+        /// </summary>
+        private void InitApprovalDisplay()
+        {
+            try
+            {
+                // 承認コード取得
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals(s_MyProcessName)).Key;
+
+                // 起動元のリストに承認画面があれば表示しない
+                if (ClsApprovalPermission.ExceApprovalScreen((int)ClsExcute.SubFormExecuteNo.ApprovalPerson))
+                {
+                    pnlApproval.Visible = false;
+                }
+
+                // 承認ボタン・件数の非表示
+                btnApproval.Visible = false;
+                lblApprovalCount.Visible = false;
+
+                // ----- 初期時は申請ボタンのサイズを最大にする
+                btnPetition.Size = new Size(250, btnPetition.Size.Height);
+
+                // ----- 担当者コード・承認機能番号取得（申請レコードがない場合は未申請）
+                if (!ClsApprovalPermission.CheckPersonPetition(m_PersonCode,
+                                                                iApprovalCode,
+                                                                m_OrderDate,
+                                                                m_OrderNo)) return;
+
+                // ----- 申請済の場合
+                // 申請ボタンの表示
+                btnPetition.Text = CommonDefine.PetitionButtonString[1];
+                btnPetition.ForeColor = Color.Black;
+                btnPetition.Size = btnApproval.Size;
+                btnPetition.Enabled = false;
+
+                // 承認ボタンの表示
+                btnApproval.Visible = true;
+
+                // ----- 承認済の場合
+                if (ClsApprovalPermission.CheckPersonApproval(m_PersonCode, iApprovalCode, m_OrderDate, m_OrderNo))
+                {
+                    btnApproval.Text = CommonDefine.ApprovalButtonString[1];
+                    btnApproval.ForeColor = Color.Black;
+                    // 承認済みの場合は入力できない
+                    SeeModeLock();
+                    //// 承認済みフラグON
+                    //m_ApprovalFlag = true;
+                }
+
+                // 承認件数の表示
+                lblApprovalCount.Visible = true;
+                SetApprovalCount();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
